IF COL_LENGTH('Clientes_Tipos_Prod', 'Id_TCli_Prod') IS NULL 
BEGIN
	CREATE TABLE Clientes_Tipos_Prod(
		Id_TCli_Prod INT IDENTITY(1,1) NOT NULL,
		Id_Tipo_Cli SMALLINT NOT NULL,
		Id_Producto VARCHAR(14) NOT NULL,
	 CONSTRAINT PK_CLITP_PorId PRIMARY KEY CLUSTERED (Id_TCli_Prod )
	)


	CREATE UNIQUE INDEX IX_CLITP_PorTCliProd ON Clientes_Tipos_Prod (Id_Tipo_Cli,Id_Producto)

	ALTER TABLE Clientes_Tipos_Prod  ADD  CONSTRAINT FK_CLITP_Clientes_Tipos FOREIGN KEY(Id_Tipo_Cli)
	REFERENCES Clientes_Tipos (Id_Tipo_Cli)


	CREATE INDEX IX_CLITP_PorProdTCli ON Clientes_Tipos_Prod (Id_Producto,Id_Tipo_Cli)

	ALTER TABLE Clientes_Tipos_Prod  ADD  CONSTRAINT FK_CLITP_Productos FOREIGN KEY(Id_Producto)
	REFERENCES Productos (Id_Producto)
END



